> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Group Application

> Removes an application to join a group

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| GroupApplicationNotFound | 1362 |




## OpenAPI

````yaml /services/playfab/api-references/rest/groups/groups.openapi.json post /Group/RemoveGroupApplication
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Groups API
  description: >-
    The Groups API is designed for any permanent or semi-permanent collections
    of Entities (players, or non-players). If you want to make
    Guilds/Clans/Corporations/etc., then you should use groups. Groups can also
    be used to make chatrooms, parties, or any other persistent collection of
    entities.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Groups
    description: Groups Management APIs
paths:
  /Group/RemoveGroupApplication:
    post:
      tags:
        - Groups
      summary: Remove Group Application
      description: |
        Removes an application to join a group

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | GroupApplicationNotFound | 1362 |
      operationId: RemoveGroupApplication
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RemoveGroupApplicationRequest'
        description: >-
          Removes an existing application to join the group. This is used for
          both rejection of an application as well as withdrawing an
          application. The applying entity or a parent in its chain (e.g. title)
          may withdraw the application, and any caller with appropriate access
          in the group may reject an application. No data is returned in the
          case of success.
      responses:
        '200':
          $ref: '#/components/responses/EmptyResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    RemoveGroupApplicationRequest:
      description: >-
        Removes an existing application to join the group. This is used for both
        rejection of an application as well as withdrawing an application. The
        applying entity or a parent in its chain (e.g. title) may withdraw the
        application, and any caller with appropriate access in the group may
        reject an application. No data is returned in the case of success.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Entity:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: The entity to perform this action on.
        Group:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: The identifier of the group
      required:
        - Group
        - Entity
      example:
        Group:
          Id: ABC1234ABC
        Entity:
          Id: '90901000'
          Type: title_player_account
          TypeString: title_player_account
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    EmptyResponse:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    EmptyResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/EmptyResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Remove Group Application](/services/playfab/api-references/rest/groups/groups/remove-group-application.md)
- [PFGroupsRemoveGroupApplicationRequest](/services/playfab/api-references/c/pfgroupstypes/structs/pfgroupsremovegroupapplicationrequest.md)
- [PFGroupsRemoveGroupApplicationAsync](/services/playfab/api-references/c/pfgroups/functions/pfgroupsremovegroupapplicationasync.md)
- [PFGroupsListGroupApplicationsAsync](/services/playfab/api-references/c/pfgroups/functions/pfgroupslistgroupapplicationsasync.md)
- [PFGroupsAcceptGroupApplicationAsync](/services/playfab/api-references/c/pfgroups/functions/pfgroupsacceptgroupapplicationasync.md)
